#include<iostream>
#include<iomanip>
#include<math.h>

using namespace std;
//global scope
const double GRAVITY = 9.8;

void main()
{
	double initialHeight;
	double currentHeight;
	double time  = 0;

	cout << "Height? ";
	cin >> initialHeight;

	double finalTime = sqrt((2*initialHeight)/GRAVITY);
	double finalSpeed = finalTime * GRAVITY;

	cout.precision(3);
	cout.setf(ios_base::fixed);

	cout << " Time     Speed    Height\n";
	do
	{
		double speed = time * GRAVITY;
		double distanceTraveled = speed/2 * time;
		currentHeight = initialHeight - distanceTraveled;
		
		if(currentHeight <= 0)
		{
			cout.precision(2);
			cout << setw(5) << finalTime;
			cout.precision(3);
			cout << setw(10) << finalSpeed;
			cout << setw(10) << 0.0 << endl;
		}
		else
		{
			cout.precision(2);
			cout << setw(5) << time;
			cout.precision(3);
			cout << setw(10) << speed;
			cout << setw(10) << currentHeight << endl;
		}
		
		time = time + .01;
	}
	while(currentHeight > 0);
	
	

}